View Issue Details

IDProjectCategoryView StatusLast Update
13987Bug reports[All Projects] Survey participants (Tokens)public2019-06-17 18:22
ReporterFCGad1946Assigned Todominikvitt 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.14.x 
Summary13987: Bug after try adding multiple attributes
Description

LS version 3.14.5

I tried several times to create new test surveys:

When I first tried to add 72 attributes, I got an internal server error: (Sorry, but in German)

500: Interner Serverfehler
CDbCommand konnte das SQL-Statement nicht ausf├╝hren: SQLSTATE[42000]: Syntax error or access violation: 1118 Row size too large. The maximum row size for the used table type, not counting BLOBs, is 65535. This includes storage overhead, check the manual. You have to change some columns to TEXT or BLOBs

I'll try to translate:
500: Internal Server Error
CDbCommand failed executing SQL-Satement: SQLSTATE[42000]: ...

After it failed, I tried to add just a few attributes (9) to the same survey, wich was not possible anymore. So I had to delete the survey and try with a new one:

After a few tests I found out, that once I had tried to add too much attributes, it was not possible anymore, to add any attributes, - even if there were none yet. (Same error as above.)

I found out, that when I add 10 attributes a time, I am able to add ten and ten and ten ... until I have 60 attributes. When I then try to add another 10 I again receive the above error.

Steps To Reproduce

Creat Test Survey
Initaliser User Table
First try to add e.g. 100 attributes
This fails
After this adding attributes works no more

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.5+180815
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database & DB-VersionMySQL 5.7.21
Server OS (if known)Virtual Server on alfahosting.de
Webserver software & version (if known)Confixx 3.3.1
PHP Version5.6, 7.0, 7.1, 7.2

Activities

FCGad1946

FCGad1946

2018-08-23 10:37

reporter   ~48860

additionally I mentioned, that after appearance of bug LS has probs displaying the attributes in the dropdown menu for deleting



2018-08atrribute_mgmt.JPG (53,727 bytes)
2018-08atrribute_mgmt.JPG (53,727 bytes)
guest

guest

2018-09-06 11:39

viewer   ~48983

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27896

Related Changesets

LimeSurvey: master 9e1222c0

2018-09-06 11:39:16

Dominik Vitt

Details Diff
Fixed issue 13987: Bug after try adding multiple token attributes Affected Issues
13987
mod - application/controllers/admin/tokens.php Diff File

Issue History

Date Modified Username Field Change
2018-08-21 14:11 FCGad1946 New Issue
2018-08-23 10:37 FCGad1946 File Added: 2018-08atrribute_mgmt.JPG
2018-08-23 10:37 FCGad1946 Note Added: 48860
2018-09-06 11:16 dominikvitt Assigned To => dominikvitt
2018-09-06 11:16 dominikvitt Status new => assigned
2018-09-06 11:39 Changeset attached => LimeSurvey master 9e1222c0
2018-09-06 11:39 guest Note Added: 48983
2018-09-06 11:39 guest Resolution open => fixed
2018-09-06 11:41 dominikvitt Status assigned => resolved
2018-09-06 11:41 dominikvitt Fixed in Version => 3.14.x
2019-04-30 09:10 c_schmitz Status resolved => closed
2019-06-17 18:22 cdorin Relationship added related to 14988
2019-06-17 18:22 cdorin Relationship deleted related to 14988